#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 37. LXQt Desktop

- Prev

  lxqt-build-tools-0.13.0

- Next

  lxqt-menu-data-1.4.1

- Up
- Home

# libqtxdg-3.12.0

## Introduction to libqtxdg

The libqtxdg is a Qt implementation of the freedesktop.org xdg specifications.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://github.com/lxqt/libqtxdg/releases/download/3.12.0/libqtxdg-3.12.0.tar.xz

- Download MD5 sum: 6cb85091630b7d84278b2430e92a62bb

- Download size: 72 KB

- Estimated disk space required: 6.3 MB

- Estimated build time: 0.2 SBU

### libqtxdg Dependencies

#### Required

CMake-3.28.3 and (Qt-5.15.12 or qt-alternate-5.15.12)

#### Optional (runtime)

GTK+-3.24.41 (for gtk-update-icon-cache)

## Installation of libqtxdg

Install libqtxdg by running the following commands:

    mkdir -v build &&
    cd       build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release  \
          -DCMAKE_INSTALL_LIBDIR=lib  \
          ..       &&

    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-DBUILD_TESTS=ON`: Use this option if you wish to build tests. If you pass this option, you can run the tests by executing: make test.

`-DBUILD_DEV_UTILS=ON`: Use this switch if you wish to build and install the development utilities.

## Contents

Installed Programs: None
Installed Library: libQt5Xdg.so and libQt5XdgIconLoader.so
Installed Directories: /usr/include/{qt5xdg,qt5xdgiconloader} and /usr/share/cmake/{qt5xdg,qt5xdgiconloader}

### Short Descriptions

`libQt5Xdg.so` | contains the libQt5Xdg API functions
`libQt5XdgIconLoader.so` | contains the libQt5XdgIconLoader API functions

- Prev

  lxqt-build-tools-0.13.0

- Next

  lxqt-menu-data-1.4.1

- Up
- Home